/** @type {import('tailwindcss').Config} */
module.exports = {
	content: ['./src/**/*.{astro,html,js,jsx,md,mdx,svelte,ts,tsx,vue}'],
	darkMode: ["class", "[data-theme]=business"],
	theme: {
		fontFamily: {
			'sans': ['Open Sans', 'ui-sans-serif, system-ui', '-apple-system', 'BlinkMacSystemFont', "Segoe UI", 'Roboto', "Helvetica Neue", 'Arial', "Noto Sans", 'sans-serif', "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji"],
			'serif': ['ui-serif', 'Georgia', 'Cambria', "Times New Roman", 'Times', 'serif'],
			'mono': ['ui-monospace', 'SFMono-Regular', 'Menlo', 'Monaco', 'Consolas', "Liberation Mono", "Courier New", 'monospace'],
			'code': [],
		},
		extend: {
			keyframes: {
				wiggle: {
				  '0%, 100%': { transform: 'rotate(-5deg)' },
				  '50%': { transform: 'rotate(5deg)' },
				},
				'bg-animate':{
					'0%,100%': {'background-position': '25% 50%'},
					'50%': {'background-position': '75% 50%'},
				}
			},
			animation: {
				'wiggle-infinite': 'wiggle 1s ease-in-out infinite',
				wiggle: 'wiggle 1s ease-in-out',
				'bg-animate': 'bg-animate 5s ease-in-out infinite',
			}
		},
	},
	plugins: [require("daisyui")],
	daisyui: {
		themes: ["corporate", "business"],
	},
}
